import { Ref } from 'react';
export interface IUseReactiveForm<T> {
    fields: T;
    deps?: any[];
    schema?: any;
    separator?: string;
    validateOnChange?: boolean;
    actionOnChange?: (values: T) => void;
    updateTriggers?: string[];
}
export declare type IField = HTMLInputElement | HTMLTextAreaElement;
export interface IUseFormResult<T> {
    ref: Ref<HTMLFormElement>;
    values: T;
    errors: T;
    update: (f: T) => void;
    validate: () => boolean;
    clear: () => void;
}
export declare const useReactiveForm: <T>({ fields, schema, deps, separator, validateOnChange, actionOnChange, updateTriggers, }: IUseReactiveForm<T>) => IUseFormResult<T>;
